#ifndef SYSDEFH
#define SYSDEFH

/*	Copyright (C) 1992 Free Software Foundation, Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this software; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */
/*  t. lord	Sun Aug  9 22:03:36 1992	*/


#include "proto.h"
#include "funcdef.h"

#ifdef AC_STDC_HEADERS
#include <stddef.h>
#else
#include <sys/types.h>
#endif
#include <math.h>
#include <time.h>
#include <signal.h>

#ifndef RETSIGTYPE
#define RETSIGTYPE void
#define SIGRET  return
#else
#define SIGRET  return 0
#endif /* RETSIGTYPE */

#ifndef VOIDSTAR
#define VOIDSTAR void *
#endif

#ifndef __STDC__
#define const	/* Nothing */
#endif

#if !defined(HAVE_INDEX)
#define rindex strrchr
#define index  strchr
#endif

#if defined(USE_DLD) && 0
extern int dld_errno;
extern int dld_nerr;
extern char *dld_errlst[];
extern dld_undefined_sym_count;
extern char *dld_search_path;
extern void (*dld_get_func())();
extern int dld_unlink_by_file EXT2(char *,int);
extern int dld_link EXT1(char *);
extern int dld_function_executable_p EXT1(char *);
extern int dld_init EXT1(char *);
extern char *dld_find_executable EXT1(char *);
extern char ** dld_list_undefined_sym EXT0();
#endif


#endif
