#ifndef IO_TERMH
#define IO_TERMH

/*	Copyright (C) 1992 Free Software Foundation, Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this software; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */
/*  t. lord	Sat Aug  8 15:43:52 1992	*/


#include "global.h"

extern int topclear;
extern CELLREF mkrow, mkcol;
extern CELLREF setrow, setcol;
extern unsigned int how_many;

#ifdef __STDC__
extern int global_cmd (int);
extern int real_get_chr ();
extern void read_mp_usr_fmt (char *);
extern void read_mp_options (char *);
extern void write_mp_options (FILE *);
extern void sort (int, int (*)(int, int), void (*)(int, int), void (*)(int, int));
#else
extern int global_cmd ();
extern int real_get_chr ();
extern void read_mp_usr_fmt ();
extern void read_mp_options ();
extern void write_mp_options ();
extern void sort ();
#endif

#endif
