
#ifndef INTRECTANGLEPILEH
#define INTRECTANGLEPILEH
/*	Copyright (C) 1992 Free Software Foundation, Inc.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this software; see the file COPYING.  If not, write to
the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.  */


/*  t. lord	Thu Apr  9 16:01:12 1992	*/
#include "ir.h"
#include "pile.h"



typedef ut_Pile xx_IntRectanglePile;
#define xx_intrectanglepile()\
  	ut_pile( sizeof (struct xx_sIntRectangle), 10 )

#define xx_intrectanglepile_read(P) (xx_IntRectangle)(P)->data

#define xx_intrectanglepile_add(P,L) ((void)\
				   (*(xx_IntRectangle)ut_pile_reserve((P),1)\
				    = *(L)))

#define xx_intrectanglepile_reserve(P,N) \
				   (xx_IntRectangle)ut_pile_reserve((P),(N))

#define xx_intrectanglepile_unreserve(P,N) \
  				    ut_pile_unreserve((P),(N))

#define xx_intrectanglepile_clear ut_pile_clear

#define xx_free_intrectanglepile ut_free_pile

#define xx_intrectangle_size(P) ((P)->used)




#endif
